Bug 1003279 - sometimes evolution stuck on start
sometimes evolution stuck on start
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-01 11:03 EDT by Mikhail
Modified: 2015-02-17 12:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:00:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtraces of evolution (6.37 KB, application/x-bzip)
2013-09-01 11:03 EDT, Mikhail
no flags Details
demonstration video (9.15 MB, video/ogg)
2013-09-01 11:04 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2013-09-01 11:03:33 EDT
Created attachment 792609 [details]
backtraces of evolution

Description of problem:
Sometimes evolution stuck on start and I can't close evolution by pressing "X" button.
Comment 1 Mikhail 2013-09-01 11:04:45 EDT
Created attachment 792610 [details]
demonstration video
Comment 2 Milan Crha 2013-09-02 05:24:55 EDT
Thanks for a bug report. The evolution is kept running as long as there are any pending activities, which means when you instruct it to quit it greys out all windows, but keeps running "until there is nothing shown in the status bar". Your status bar shows "Scanning folders in ...", which effectively prevents the quit.

The backtraces show that the evolution is waiting for a password for your EWS account, while the evolution-source-registry process is waiting for gnome-online-accounts (GOA) password to be obtained - I cannot tell from the backtrace whether it's stuck there or you just were lucky and got the backtrace in the time of the call to GOA. From this, do I understand this correctly that you have configured your EWS account through GOA? What if you remove it and configure your EWS account directly in evolution? It'll skip the GOA communication entirely, making one place less where the things can break.

In any case, the "Scanning folders in..." activity should be cancelled on the quit request, especially when it runs before the quit is requested, thus I moved this part upstream as [1]. Please see it for further updates.

I'm not sure with the other part, GOA call. Debarshi, could you have a look, please?

[1] https://bugzilla.gnome.org/show_bug.cgi?id=707273
Comment 3 Fedora Admin XMLRPC Client 2014-09-04 10:29:15 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2015-01-09 14:40:45 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 12:00:50 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.